package capitulo04.bloque03;

import static capitulo04.utils.Utils.crearArrayNumsAleatorios;
import static capitulo04.utils.Utils.mostrarArrayNums;

public class Ejercicio04 {
    public static void main(String[] args) {
        int[] nums150 = crearArrayNumsAleatorios(150, 0, 1000);
        mostrarArrayNums(nums150);
        System.out.println();
        mostrarArrayNums(ordenarSeleccion(nums150));
    }

    public static int[] ordenarSeleccion(int[] array) {
        for (int i = 0; i < array.length - 1; i++) {
            int indiceMenor = i;

            for (int j = i + 1; j < array.length; j++) {
                if (array[j] < array[indiceMenor]) {
                    indiceMenor = j;
                }
            }

            if (indiceMenor != i) {
                int temp = array[i];
                array[i] = array[indiceMenor];
                array[indiceMenor] = temp;
            }
        }
        return array;
    }
}
